Pdx (Apache Geode 1.11.0)
Date: 2019-12-20

org.apache.geode.management.configuration

## Class Pdx

- java.lang.Object
- - org.apache.geode.management.configuration.AbstractConfiguration<RuntimeInfo>
  - - org.apache.geode.management.configuration.Pdx

- All Implemented Interfaces:
    Serializable, Identifiable<String>, JsonSerializable

      @Experimental
      public class Pdx
      extends AbstractConfiguration<RuntimeInfo>

  Configuration Objects for Pdx in the cache
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PDX_ENDPOINT`
    `static String` | `PDX_ID`

    - ### Fields inherited from class org.apache.geode.management.configuration.AbstractConfiguration

      `CLUSTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pdx()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDiskStoreName()`
    `String` | `getId()` Returns `PDX_ID`
    `Links` | `getLinks()` for internal usage only
    `ClassName` | `getPdxSerializer()`
    `Boolean` | `isIgnoreUnreadFields()`
    `Boolean` | `isPersistent()`
    `Boolean` | `isReadSerialized()`
    `void` | `setDiskStoreName(String diskStoreName)`
    `void` | `setIgnoreUnreadFields(Boolean ignoreUnreadFields)`
    `void` | `setPdxSerializer(ClassName pdxSerializer)`
    `void` | `setPersistent(Boolean persistent)`
    `void` | `setReadSerialized(Boolean readSerialized)`

    - ### Methods inherited from class org.apache.geode.management.configuration.AbstractConfiguration

      `getGroup, getGroupName, isCluster, isGlobalRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.lang.Identifiable

      `exists, find, remove`

- - ### Field Detail

    - #### PDX_ID

          public static final String PDX_ID

      See Also:
        Constant Field Values

    - #### PDX_ENDPOINT

          public static final String PDX_ENDPOINT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Pdx

          public Pdx()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns `PDX_ID`
      Specified by:
        `getId` in interface `Identifiable<String>`
      Specified by:
        `getId` in class `AbstractConfiguration<RuntimeInfo>`
      Returns:
        an identifier uniquely identifying this Object.

    - #### getLinks

          public Links getLinks()

      Description copied from class: `AbstractConfiguration`
      for internal usage only
      Specified by:
        `getLinks` in class `AbstractConfiguration<RuntimeInfo>`

    - #### isReadSerialized

          public Boolean isReadSerialized()

    - #### setReadSerialized

          public void setReadSerialized(Boolean readSerialized)

    - #### getPdxSerializer

          public ClassName getPdxSerializer()

    - #### setPdxSerializer

          public void setPdxSerializer(ClassName pdxSerializer)

    - #### isIgnoreUnreadFields

          public Boolean isIgnoreUnreadFields()

    - #### setIgnoreUnreadFields

          public void setIgnoreUnreadFields(Boolean ignoreUnreadFields)

    - #### isPersistent

          public Boolean isPersistent()

    - #### setPersistent

          public void setPersistent(Boolean persistent)

    - #### getDiskStoreName

          public String getDiskStoreName()

    - #### setDiskStoreName

          public void setDiskStoreName(String diskStoreName)